%define upstream_name    Olson-Abbreviations
%define upstream_version 0.02

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    No summary found
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Olson/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Moose)
BuildRequires: perl(MooseX::AttributeHelpers)
BuildRequires: perl(MooseX::ClassAttribute)
BuildRequires: perl(Test::More)
BuildArch: noarch

%description
This module should help you with converting commonly used and often
ambigious olson abbreviations into TZ offset notation.

NOT COMPLETE
    This module is released as 0.01 because it is useful. It is not
    complete. In order to be complete in the Author's eyes this module must
    accept a locale and disambiguate based on that. EST is not ambigious if
    your standing in the US or in Austrailia. This module should handle
    this properly in the future.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc README META.yml Changes
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog

* Mon Nov 07 2011 kharec <kharec> 0.20.0-1.mga2
+ Revision: 164785
- imported package perl-Olson-Abbreviations


* Mon Nov 07 2011 cpan2dist 0.02-1mga
- initial mageia release, generated with cpan2dist
